2020-06-03 22:01 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001977Spring engineGeneralpublic2010-12-14 01:54
Reportertvo 
Assigned Toabma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version0.81.2+git 
Target VersionFixed in Version0.82.7 
Summary0001977: `make spring' and `make install-spring' inconsistent wrt AI targets
Descriptiondaftalx PM'ed me:

So to avoid build errors on the 2 targets, I'm calling a "make spring" instead of "make", followed by a "make install-spring". This last command complains that the AI libraries have not been built, therefore they can't be moved to their final destination. This is (easily) solved by calling individual "make XXX" where "XXX" takes all the AI-related targets.So

Q1: could you make a shortcut target to build all these AI stuff at once (a general "AI" target) ?
Q2: If not, include those dependencies into the "spring" target in the Makefiles
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0005065

hoijui (reporter)

which AI stuff exactly is not built? cause this should already be the case.
the list of AI related targets is even dynamically generated, so it should work for submodules too.
possible that i forgot some special targets though.

~0005067

daftalx (reporter)

Last edited: 2010-07-06 17:40

"make install-spring" command halts on the first error it encounters, so I couldn't tell you if all the AI stuff is missing. All I can say is that I ended up adding them one by one until "make install-spring" got happy again, which gives the following: "make spring C-AIInterface Java-AIInterface AAI CppTestAI KAIK NullAI RAI NullJavaAI NullOOJavaAI".

But just to give you a hint I've rolled back to "make spring" alone, when I hit "make install spring" I get the following logfile (attached). Don't worry about the line prefix, the output is formatted by macports in a (sort of) human readable way).

~0006077

abma (administrator)

if i'm right, hoijui fixed this:

make install-spring

installs spring executable + all ai's + basecontent.

(hoijui, please correct me, if not)
+Notes

-Issue History
Date Modified Username Field Change
2010-07-05 21:51 tvo New Issue
2010-07-05 23:03 hoijui Note Added: 0005065
2010-07-06 17:39 daftalx File Added: springrts-devel.macports.log
2010-07-06 17:40 daftalx Note Added: 0005067
2010-07-06 17:40 daftalx Note Edited: 0005067
2010-12-14 01:54 abma Note Added: 0006077
2010-12-14 01:54 abma Status new => resolved
2010-12-14 01:54 abma Fixed in Version => 0.82.6.1+git
2010-12-14 01:54 abma Resolution open => fixed
2010-12-14 01:54 abma Assigned To => abma
+Issue History